it-swarm.cn

我是否允许在AGPL下许可我的WordPress的的主题

我对最近关于WordPress主题是否需要根据GPL许可或者是否可以是封闭源代码的对话感兴趣。视频可以从 matts 博客到达,我最喜欢的讨论是 Dave Winers博客文章

我的问题是 - 我是否可以在 aGPL 下授权我的主题?或者这是否与我想使用封闭源许可证相同?

11
Tom

由于WordPress被许可为GPLv2,您可以使用兼容与GPL版本2的许可证许可任何添加(即主题)。现在这是不幸的部分...... aGPL的版本1与任何版本的GPL都不兼容。但是,版本3与GPLv3兼容......但不兼容GPLv2。

简短回答:不,你不能用aGPL许可WordPress主题,因为aGPL的版本都不兼容WordPress的许可证(GPLv2)。

链接到许可证兼容性图表以供参考...

更新

严格来说,是的。 WordPress主题被视为衍生作品,因此它们必须以与核心项目兼容的方式获得许可。 WP被许可为GPLv2 +,因此您可以(如果您愿意)将其升级到GPLv3进行分发。

这很重要,因为与GPL兼容的唯一版本的aGPL是版本3 ...所以你的主题必须是aGPLv3。

也就是说,你没有期望自己重新分配WordPress ......我只是在这里指出兼容性。但为了简单起见,我会总是建议不要使用aGPL。在实践中,它不适合WordPress主题(随意问我为什么,但这超出了这个问题的范围)。

12
EAMann

添加对更新的@ EAMann答案的引用:我向[email protected]提出了类似的问题。

我的确切问题是:

您能否澄清在“GPLv2(或更高版本)”下发布源代码意味着什么?如果是,它是否允许在aGPL v3下发布衍生作品。

答案来了:

通过GPLv2(或更高版本)许可他们的工作,我将在此电子邮件中称为GPLv2 +,Wordpress的版权所有者明确允许您在任何更高版本的GPL下进一步分发他们的工作。通过升级,您可以在GPLv3,GPLv3 +,GPLv4下进一步分发他们的工作(目前还不存在,但如果它确实可以选择),GPLv4 +等。这在GPLv2的第9节和GPLv3的第14节中有详细说明。

一旦您将工作升级到GPLv3(您更新许可证版本号并包含GPLv3的副本,根据需要添加您自己的版权声明,但保持原始版权声明和许可证通知完整),将会发生两件事: ,该工作与仅限GPLv2的代码不兼容; GPLv2和GPLv3都是强大的Copyleft许可证,它们不能同时满足。其次,对您而言更重要的是,根据GPLv3第13节和AGPLv3第13节,您现在将与AGPLv3许可的作品具有狭窄的兼容性。也就是说,虽然您无法重新许可整个工作,从GPLv3到AGPLv3,您将能够进一步分发GPLv3代码(升级的Wordpress代码)和AGPLv3代码(您的附加代码)的组合。

Yoni Rabkin,FSF GPL合规实验室的志愿者

2
Kangur

来自Matt Mullenweg的一句话摘要 :WordPress主题中的PHP必须是GPL,艺术品和CSS可能是但不是必需的。

2
Sudhanshu

是的,您可以在您认为合适的任何许可下许可您的主题。有些可能不适合再分配。但首先你可以自由选择。它是免费软件,可以随意扩展。

1
hakre